curl --request GET \
--url https://api.zapier.com/v2/apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zapier.com/v2/apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zapier.com/v2/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"data": [
{
"id": "1e4fcbf4-d80b-4ec3-b33b-c085f1ecbbaa",
"key": "HubSpotCLIAPI",
"type": "app",
"image": "https://zapier-images.imgix.net/storage/developer/cde9764aa8d19fdd6d591455dbe5a78d.png?auto=format%2Ccompress&ixlib=python-3.0.0&q=50",
"links": {
"connect_new_authentication": "https://zapier.com/engine/auth/start/HubSpotCLIAPI@1.7.1?redirect=https%3A%2F%2Fapi.zapier.com%2Fv2%2Fauthentications%2Fredirect"
},
"action_types": [
"READ"
],
"title": "HubSpot",
"images": {
"url_16x16": "https://zapier-images.imgix.net/storage/developer/cde9764aa8d19fdd6d591455dbe5a78d.png?auto=format%2Ccompress&fit=crop&h=16&ixlib=python-3.0.0&q=50&w=16",
"url_32x32": "https://zapier-images.imgix.net/storage/developer/cde9764aa8d19fdd6d591455dbe5a78d.png?auto=format%2Ccompress&fit=crop&h=32&ixlib=python-3.0.0&q=50&w=32",
"url_64x64": "https://zapier-images.imgix.net/storage/developer/cde9764aa8d19fdd6d591455dbe5a78d.png?auto=format%2Ccompress&fit=crop&h=64&ixlib=python-3.0.0&q=50&w=64",
"url_128x128": "https://zapier-images.imgix.net/storage/developer/cde9764aa8d19fdd6d591455dbe5a78d.png?auto=format%2Ccompress&fit=crop&h=128&ixlib=python-3.0.0&q=50&w=128"
},
"hex_color": "8bcbca",
"categories": [
{
"slug": "partners"
}
],
"description": "HubSpot is your all-in-one stop for all of your marketing software needs."
}
],
"meta": {
"count": 1,
"offset": 10,
"limit": 10
},
"links": {
"next": "https://api.zapier.com/v2/apps?offset=20&limit=10",
"previous": "https://api.zapier.com/v2/apps?offset=0&limit=10"
}
}
]{
"errors": [
{
"status": 400,
"code": "parse_error",
"title": "ParseError",
"detail": "Malformed request.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "Malformed request.",
"code": "parse_error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 500,
"code": "error",
"title": "APIException",
"detail": "A server error occurred.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "A server error occurred.",
"code": "error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}Get Apps [v2]
This endpoint returns a list of apps sorted by popularity.
When using Client ID
Simply providing a client ID query parameter is sufficient. If an Authorization header is present, it will be used instead.
When using OAuth
This endpoint requires the zap OAuth scope.
Authorizations
See our OAuth2 authentication documentation here: https://docs.zapier.com/powered-by-zapier/api-reference/authentication
Query Parameters
Parameter to restrict the results to apps whose ID matches those in the provided comma-separated value. Cannot be combined with category.
Used for paginating results. Specifies the maximum number of items to return per page. If this value is not set, it defaults to 10.
Used for paginating results. Specifies the offset to use.
Parameter to limit the results to apps whose titles match the provided query.
Response
A list of the Apps matching the request
Show child attributes
Show child attributes
Used for paginating results. Specifies the maximum number of items to return per page.
Show child attributes
Show child attributes
Used for paginating results. Specifies the offset to use. Defaults to 0
Show child attributes
Show child attributes
Was this page helpful?